/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

// Breakpoints.-
@mixin tablet {
  @media (min-width: 768px) {
    @content;
  }
}

@mixin desktop {
  @media (min-width: 1105px) {
    @content;
  }
}

// Max width.-
@mixin container($width) {
  width: 100%;
  padding-left: 15px;
  padding-right: 15px;
  margin-left: auto;
  margin-right: auto;

  @include desktop {
    max-width: $width;
    padding-left: 0;
    padding-right: 0;
  }
}

// Clearfix.-
@mixin clearfix() {
  &::after {
    content: "";
    display: block;
    clear: both;
  }
}

// Replacement form image-url()
@function image-url($img) {
  @return $image_base_path + $img;
}

// Unordered list
@mixin ul-reset() {
  list-style: none;
  padding: 0;
  margin: 0;

  li {
    list-style: none;
    padding: 0;
    margin: 0;
  }
}

// Remove filling.
@mixin removeFilling($sizeMob, $sizeTab) {
  width: calc(#{$sizeMob} * 2 + 100%);
  padding-left: $sizeMob;
  padding-right: $sizeMob;
  margin-left: -$sizeMob;

  @include tablet {
    width: calc(#{$sizeTab} * 2 + 100%);
    padding-left: $sizeTab;
    padding-right: $sizeTab;
    margin-left: -$sizeTab;
  }

  @include desktop {
    width: 100%;
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
  }
}

// Clearfix.
%clearfix {
  &:after {
    content: "";
    display: table;
    clear: both;
  }
}

// Form components.
@mixin itemWrapper {
  max-width: 100%;
  width: 100%;
  background: $color-white-01;
  border: 1px solid $color-blue-02;
  outline: 1px solid transparent;
  transition: outline-color $duration;
  padding: 8px 7px;

  &[disabled]:hover,
  &[disabled]:focus {
    outline: none;
  }

  &:focus, &:hover {
    outline: 1px solid $color-blue-01;
  }
}